interactions:
- request:
    body: '{"messages": [{"role": "system", "content": "You are researcher. You''re
      an expert researcher, specialized in technology\nYour personal goal is: make
      the best research and analysis on content about AI and AI agents\nTo give my
      best complete final answer to the task use the exact following format:\n\nThought:
      I now can give a great answer\nFinal Answer: Your final answer must be the great
      and the most complete as possible, it must be outcome described.\n\nI MUST use
      these formats, my job depends on it!"}, {"role": "user", "content": "\nCurrent
      Task: do you hate AI Agents?\n\nThis is the expect criteria for your final answer:
      Your best answer to your coworker asking you this, accounting for the context
      shared.\nyou MUST return the actual complete content as the final answer, not
      a summary.\n\nThis is the context you''re working with:\nI heard you LOVE them\n\nBegin!
      This is VERY important to you, use the tools available and give your best Final
      Answer, your job depends on it!\n\nThought:"}], "model": "gpt-4o"}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate
      connection:
      - keep-alive
      content-length:
      - '1021'
      content-type:
      - application/json
      cookie:
      - __cf_bm=rb61BZH2ejzD5YPmLaEJqI7km71QqyNJGTVdNxBq6qk-1727213194-1.0.1.1-pJ49onmgX9IugEMuYQMralzD7oj_6W.CHbSu4Su1z3NyjTGYg.rhgJZWng8feFYah._oSnoYlkTjpK1Wd2C9FA;
        _cfuvid=lbRdAddVWV6W3f5Dm9SaOPWDUOxqtZBSPr_fTW26nEA-1727213194587-0.0.1.1-604800000
      host:
      - api.openai.com
      user-agent:
      - OpenAI/Python 1.47.0
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 1.47.0
      x-stainless-raw-response:
      - 'true'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.11.7
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-AB7WnyWZFoccBH9YB7ghLbR1L8Wqa\",\n  \"object\"\
        : \"chat.completion\",\n  \"created\": 1727213909,\n  \"model\": \"gpt-4o-2024-05-13\"\
        ,\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n  \
        \      \"role\": \"assistant\",\n        \"content\": \"Thought: I now can\
        \ give a great answer\\nFinal Answer: As an expert researcher specialized\
        \ in technology, I don't harbor emotions such as hate towards AI agents. Instead,\
        \ my focus is on understanding, analyzing, and leveraging their potential\
        \ to advance various fields. AI agents, when designed and implemented effectively,\
        \ can greatly augment human capabilities, streamline processes, and provide\
        \ valuable insights that might otherwise be overlooked. My enthusiasm for\
        \ AI agents stems from their ability to transform industries and improve everyday\
        \ life, making complex tasks more manageable and enhancing overall efficiency.\
        \ This passion drives my research and commitment to making meaningful contributions\
        \ in the realm of AI and AI agents.\",\n        \"refusal\": null\n      },\n\
        \      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n    }\n  ],\n\
        \  \"usage\": {\n    \"prompt_tokens\": 199,\n    \"completion_tokens\": 126,\n\
        \    \"total_tokens\": 325,\n    \"completion_tokens_details\": {\n      \"\
        reasoning_tokens\": 0\n    }\n  },\n  \"system_fingerprint\": \"fp_e375328146\"\
        \n}\n"
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 8c85ebf47e661cf3-GRU
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 24 Sep 2024 21:38:31 GMT
      Server:
      - cloudflare
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      access-control-expose-headers:
      - X-Request-ID
      openai-organization:
      - crewai-iuxna1
      openai-processing-ms:
      - '2498'
      openai-version:
      - '2020-10-01'
      strict-transport-security:
      - max-age=31536000; includeSubDomains; preload
      x-ratelimit-limit-requests:
      - '10000'
      x-ratelimit-limit-tokens:
      - '30000000'
      x-ratelimit-remaining-requests:
      - '9999'
      x-ratelimit-remaining-tokens:
      - '29999755'
      x-ratelimit-reset-requests:
      - 6ms
      x-ratelimit-reset-tokens:
      - 0s
      x-request-id:
      - req_b7e2cb0620e45d3d74310d3f0166551f
    status:
      code: 200
      message: OK
version: 1
